Bug 1591157 - Unusable entries in error_log when event MPM is activated
Summary: Unusable entries in error_log when event MPM is activated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-14 07:57 UTC by Attila
Modified: 2019-09-30 01:39 UTC (History)
5 users (show)

Fixed In Version: httpd-2.4.39-11.fc31 httpd-2.4.41-1.fc30 httpd-2.4.41-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 01:27:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache Bugzilla 54221 None None None 2019-07-17 10:27:56 UTC

Description Attila 2018-06-14 07:57:47 UTC
Description of problem:

Since Fedora 27 the mpm_event_module is activated by default.
Outputs written by cgi-scripts to "stderr" during https-sessions are unusable and ending up in the file error_log instead of ssl_error_log. The entries made by cgi-scripts in the file error_log don't have any timestamp, User-Agent, referer et cetera. The LogFormat from httpd.conf is ignored. All I can see is the native output from the cgi-script.

Version-Release number of selected component (if applicable):

httpd-2.4.33-2

How reproducible:

Create a cgi-script which can output the word "Test" to stderr.

Steps to Reproduce:
1. Start httpd: systemctl start httpd.service
2. Send a https-request to a cgi-script which can produce an output (like the word "Test") to stderr.
3. Check the file /var/log/httpd/error_log

Actual results:

The file /var/log/httpd/error_log contains a line with the word "Test". No date, timestamp, et cetera. This is wrong and should be written to /var/log/httpd/ssl_error_log, because of ssl-request.

Expected results:

The file /var/log/httpd/ssl_error_log should contain a line with the word "Test" like this:

Wed Jun 13 16:44:20.295009 2018] [cgi:error] [pid 14844] [client ::1:59776] AH01215: Test: /var/www/cgi-bin-ssl/test.cgi

Additional info:

A possible workaround is to switch back to prefork MPM in the file /etc/httpd/conf.modules.d/00-mpm.conf

LoadModule mpm_prefork_module modules/mod_mpm_prefork.so
#LoadModule mpm_event_module modules/mod_mpm_event.so

Comment 1 Joe Orton 2018-09-26 11:47:33 UTC
Known issue upstream, no fix available at the moment, sorry.

Comment 2 Ben Cotton 2018-11-27 14:21:40 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-02 20:14:29 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Joe Orton 2019-07-17 10:45:09 UTC
Package: httpd-2.4.39-11.fc31

Comment 6 Fedora Update System 2019-08-21 06:22:03 UTC
FEDORA-2019-e00c65ec6f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 7 Fedora Update System 2019-08-21 06:24:55 UTC
FEDORA-2019-099575a123 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-099575a123

Comment 8 Joe Orton 2019-08-21 07:07:10 UTC
Please test the 2.4.41 updates above which have a major improvement to stderr handling in mod_cgid, and give any feedback here.

Comment 9 Attila 2019-08-22 14:23:03 UTC
I have just tested the updates (2.4.41). So far so good. It seems to be OK.
Thanks for the fix.

Comment 10 Fedora Update System 2019-08-23 01:27:09 UTC
httpd-2.4.41-1.fc30, mod_md-2.0.8-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-08-29 14:56:29 UTC
FEDORA-2019-e00c65ec6f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 12 Fedora Update System 2019-08-30 00:24:51 UTC
httpd-2.4.41-1.fc29, mod_md-2.0.8-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 13 Fedora Update System 2019-08-30 07:29:48 UTC
FEDORA-2019-e00c65ec6f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 14 Fedora Update System 2019-08-30 15:40:59 UTC
httpd-2.4.41-1.fc29, mod_md-2.0.8-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 15 Fedora Update System 2019-09-30 01:39:08 UTC
httpd-2.4.41-1.fc29, mod_md-2.0.8-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.